Favicon

You are here: Home > API Reference > Windows > Windows Devices Script Logs > Get list of winDeviceScriptLog

Get list of winDeviceScriptLog

Required Permission: mdm.windows.deviceScriptLog.list

Get list of winDeviceScriptLog

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/summary
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/summary" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/summary", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/summary",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
lastDate string optional
Format: date-time
status object optional
success integer optional
≥ 0
error integer optional
≥ 0
mdmAsset object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 256 characters
size integer optional
≥ 0
fileName string optional
≤ 256 characters
{
    "status": true,
    "data": [
        {
            "id": "string",
            "lastDate": "2024-01-01T00: 00:00Z",
            "status": {
                "success": 0,
                "error": 0
            },
            "mdmAsset": {
                "id": "string",
                "name": "string",
                "size": 0,
                "fileName": "string"
            }
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}